com.google.gwt.user.client.ui

## Class ImageResourceRenderer

- java.lang.Object
- - com.google.gwt.text.shared.AbstractSafeHtmlRenderer<ImageResource>
  - - com.google.gwt.user.client.ui.ImageResourceRenderer

All Implemented Interfaces:
  SafeHtmlRenderer<ImageResource>

    public class ImageResourceRenderer
    extends AbstractSafeHtmlRenderer<ImageResource>

Given an `ImageResource`, renders an element to show it.

### Nested Class Summary

Nested Classes
`(package private) static interface` `ImageResourceRenderer.Template`

### Constructor Summary

Constructors
Constructor and Description
`ImageResourceRenderer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SafeHtml` `render(ImageResource image)` Renders `object` as safe HTML.

### Methods inherited from class com.google.gwt.text.shared.AbstractSafeHtmlRenderer

`render, toSafeHtml`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageResourceRenderer

    public ImageResourceRenderer()

### Method Detail

#### render

    public SafeHtml render(ImageResource image)

Description copied from interface: `SafeHtmlRenderer`
Renders `object` as safe HTML.